# Interface methods for submodule: SobelEdgeDetectionImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: SobelEdgeDetectionImageFilter
class SobelEdgeDetectionImageFilterProxy(_ImageToImageFilterProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GenerateInputRequestedRegion(self) -> None:
		""""""
		...

